import os
import sys
from pathlib import Path

# Add current directory to Python path (required by cPanel Passenger)
sys.path.insert(0, str(Path(__file__).parent))

# Import your Flask app
from app import app as application  # 👈 مهم جداً: يجب أن يكون اسمه "application"

# Set default environment variables if not set (useful for cPanel)
if not os.environ.get('SESSION_SECRET'):
    os.environ['SESSION_SECRET'] = 'change-this-secret-key-for-production'

if not os.environ.get('FLASK_ENV'):
    os.environ['FLASK_ENV'] = 'production'

# Development only
if __name__ == "__main__":
    port = int(os.environ.get("PORT", 5000))
    application.run(debug=True, host="0.0.0.0", port=port)
